ExchangeRoutingGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeRoutingGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeRoutingGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeRoutingGroup

extends LogicalElement

Represents the Exchange Routing Group

Naming Rules:
  0="distinguishedName"
Persistable:
  true
Table Name:
  EXCHRTGRP
Display Name:
  routingGroupName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ExchangeAdministrativeGroup` | `getAdministrativeGroup()`
`ExchangeConnector[]` | `getConnectors()`
`java.lang.String` | `getDistinguishedName()` The distinguished name of the routing group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: ExchangeConnectorState.GroupDN Example CN=First Routing Group,CN=Routing Groups,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local
`java.lang.String` | `getRoutingGroupName()` The name of the routing group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: ExchangeConnectorState.GroupDN Example First Routing Group
`ExchangeServer[]` | `getServers()`
`boolean` | `hasAdministrativeGroup()`
`boolean` | `hasConnectors()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasRoutingGroupName()`
`boolean` | `hasServers()`
`void` | `setAdministrativeGroup(ExchangeAdministrativeGroup x)`
`void` | `setConnectors(ExchangeConnector[] x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setRoutingGroupName(java.lang.String x)`
`void` | `setServers(ExchangeServer[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getServers

    ExchangeServer[] getServers()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setServers

    void setServers(ExchangeServer[] x)

### hasServers

    boolean hasServers()

### getAdministrativeGroup

    ExchangeAdministrativeGroup getAdministrativeGroup()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setAdministrativeGroup

    void setAdministrativeGroup(ExchangeAdministrativeGroup x)

### hasAdministrativeGroup

    boolean hasAdministrativeGroup()

### getRoutingGroupName

    java.lang.String getRoutingGroupName()
                                         throws AttributeNotSetException

  The name of the routing group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: ExchangeConnectorState.GroupDN Example First Routing Group

  Throws:
    `AttributeNotSetException`

### setRoutingGroupName

    void setRoutingGroupName(java.lang.String x)

### hasRoutingGroupName

    boolean hasRoutingGroupName()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name of the routing group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: ExchangeConnectorState.GroupDN Example CN=First Routing Group,CN=Routing Groups,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

### getConnectors

    ExchangeConnector[] getConnectors()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setConnectors

    void setConnectors(ExchangeConnector[] x)

### hasConnectors

    boolean hasConnectors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD